//
//  WDOperatorProtocol.h
//  IWangDingSDK_SCSP
//
//  Created by maoyuxiang on 2019/8/16.
//  Copyright © 2019 iwangding. All rights reserved.
//

#ifndef WDOperatorProtocol_h
#define WDOperatorProtocol_h

#import "WDOperatorResult.h"

#pragma mark - WDOperatorDelegate
/**
 查询运营商信息回调代理
 */
@protocol WDOperatorDelegate <NSObject>

/**
 查询开始
 */
- (void)queryOperatorStart;

/**
 查询状态成功

 @param result 查询结果
 */
- (void)queryOperatorSuccessWithResult:(WDOperatorResult *)result;

/**
 查询状态失败

 @param errorCode 错误状态码
 @param message 错误信息
 */
- (void)queryOperatorFailedWithErrorCode:(NSInteger)errorCode
                         message:(NSString *)message;

@end

#endif /* WDOperatorProtocol_h */
