//
//  WDSpeedUpResponse.h
//  IWangDingSDK_SCSP
//
//  Created by maoyuxiang on 2019/4/18.
//  Copyright © 2019年 iwangding. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface WDSpeedUpResponse : NSObject

/** 提速开始时间 */
@property (nonatomic, copy)   NSString *s_time;
/** 宽带账号 */
@property (nonatomic, copy)   NSString *lan;
/** 提速结束时间 */
@property (nonatomic, copy)   NSString *e_time;
/** 签约带宽 */
@property (nonatomic, assign) NSInteger c_down;
/** 区域 */
@property (nonatomic, copy)   NSString *dist;
/** 运营商 */
@property (nonatomic, copy)   NSString *isp;
/** 可提速带宽 */
@property (nonatomic, assign) NSInteger m_down;
/** 是否正在体验 */
@property (nonatomic, assign) BOOL istrail;
/** 是否可以体验 */
@property (nonatomic, assign) BOOL trail;
/** ip地址 */
@property (nonatomic, copy)   NSString *ip;
/** 是否订购包月 */
@property (nonatomic, assign) BOOL has_order;
/** 包月有效时间 */
@property (nonatomic, copy)   NSString *order_end;
/** 服务器当前时间 */
@property (nonatomic, copy)   NSString *srv_now;
/** 资费id */
@property (nonatomic, copy)   NSString *pid;
/** 当前状态 speed-on speed-off */
@property (nonatomic, copy)   NSString *status;
/** 端口 */
@property (nonatomic, copy)   NSString *port;

@end

NS_ASSUME_NONNULL_END
