//
//  WDSpeedUpStatusResult.h
//  IWangDingSDK_SCSP
//
//  Created by maoyuxiang on 2019/4/25.
//  Copyright © 2019年 iwangding. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface WDSpeedUpStatusResult : NSObject

/** 是否可以体验 */
@property (nonatomic, assign) BOOL trail;
/** 是否订购包月 */
@property (nonatomic, assign) BOOL has_order;
/** 包月有效时间 */
@property (nonatomic, copy) NSString *order_end;
/** ip地址 */
@property (nonatomic, copy) NSString *ip;
/** 端口 */
@property (nonatomic, copy) NSString *port;
/** 服务器当前时间 */
@property (nonatomic, copy) NSString *srv_now;
/** 是否自动续费 */
@property (nonatomic, assign) BOOL isAutoPay;
/** 下次续费时间（yyyy-MM-dd HH:mm:ss） */
@property (nonatomic, copy) NSString *nextPayDate;
/** 当前状态 speed-on speed-off */
@property (nonatomic, copy) NSString *status;
/** 运营商 */
@property (nonatomic, copy) NSString *isp;
/** 区域 */
@property (nonatomic, copy) NSString *dist;
/** 错误消息 */
@property (nonatomic, copy) NSString* errmsg;
/** 提速开始时间 */
@property (nonatomic, copy)   NSString *s_time;
/** 宽带账号 */
@property (nonatomic, copy)   NSString *lan;
/** 提速结束时间 */
@property (nonatomic, copy)   NSString *e_time;
/** 签约带宽 */
@property (nonatomic, assign) NSInteger c_down;
/** 提速前带宽 */
@property (nonatomic, assign) NSInteger con_down;
/** 可提速带宽 */
@property (nonatomic, assign) NSInteger m_down;
/** 是否正在体验 */
@property (nonatomic, assign) BOOL istrail;
/** 区域码 */
@property (nonatomic, copy) NSString *dist_code;
/** 运营商编码*/
@property (nonatomic, assign) NSInteger isp_code;

@end

NS_ASSUME_NONNULL_END
