//
//  WDTCPResult.h
//  IWangDingSDK_SCSP
//
//  Created by maoyuxiang on 2019/4/19.
//  Copyright © 2019年 iwangding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface WDTCPResult : NSObject

/** 目标地址*/
@property(copy, nonatomic) NSString *host;
/** TCP总数*/
@property(assign, nonatomic) NSInteger totalNum;
/** 最小时延（ms）*/
@property(assign, nonatomic) CGFloat minDelayTime;
/** 最大时延（ms）*/
@property(assign, nonatomic) CGFloat maxDelayTime;
/** 平均时延（ms）*/
@property(assign, nonatomic) CGFloat avgDelayTime;
/** 成功次数*/
@property(assign, nonatomic) NSInteger successNum;
/** 失败次数*/
@property(assign, nonatomic) NSInteger failedNum;
/** 提示信息*/
@property(copy, nonatomic) NSString *message;

@end

NS_ASSUME_NONNULL_END
